| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]

# Method getgrgid()

Method getgrgid

  `array(int|string|array(string)) getgrgid(int gid)`

Description

  Get the group entry for the group with the id gid using the systemfunction `getgrid(3)`.

Parameter `gid`

  The id of the group

Returns

  An array with the information about the group

  Array
  `string 0` | Group name
  `string 1` | Group password (encrypted)
  `int 2` | ID of the group
  `array 3..` | Array with UIDs of group members

See also

  getgrent() getgrnam()